Sync with Waxpeer session to auto-fill API key

Buy item by name and send to specific tradelink

GET/v1/buy-one-p2p-name

Notes about trades and frequently asked questions

The duration of the trade in different situations:

If seller's info is invalid then it can be cancelled immediately and status 6 is set;

If seller's details are valid, but no trade is created, then it will auto-cancel after 6 minutes;

if created or waiting for mobile confirmation then it will auto-cancel after 11 to 15 min (depends on when created);

if trade is waiting for mobile confirmation and connection with the seller was lost then it will auto-cancel after 6 hours.

We recommend adding project_id to purchase so that you can track a trade in case of a timeout or break of purchase request using the /check-many-project-id GET method one minute after the request.

An array of possible messages with purchase errors and other information, such as status, can be seen by opening the response scheme, where:

System busy - trade is cancelled due to tradelink check timeout or heavy load;

buy_csgo - CS:GO purchases are deactivated on the market;

buy_rust - RUST purchases are deactivated on the market.

This route never sells trade-locked (hold) listings. Buy a hold item by exact item_id with GET /v1/buy-one-p2p (query allow_trade_locked=1) or POST /v1/buy (body allow_trade_locked: true).

Prices are integers. 1000 = $1.00 USD.

Parameters

NameLocationTypeDescription
api
required
querystring
project_id
optional
querystring

Custom order identifier (project_id)

name
required
querystring

Full item market hash name

token
required
querystring

Steam trade link token or access token

price
required
querynumber

Item price in integer format (1000 = $1.00 USD)

partner
required
querystring

Steam partner ID64

game
required
queryenum

Game code for requested items (csgo, tf2, rust, dota2)

enum: csgo, tf2, rust, dota2

Responses

200 Successful operation

NameTypeDescription
success
optional
boolean

Whether the operation succeeded

id
optional
number

Identifier

price
optional
number

Item price in integer format (1000 = $1.00 USD)

msg
optional
enum

Reason message when success is false

enum: We couldn't validate your trade link, either your inventory is private or you can't trade, There was an error while sending your trade offer, try again later, Please set your steam inventory public, Your tradelink is incorect, please update it, Item price has increased or item is no longer available, Please enter your trade link, System busy, buy_csgo, buy_tf2, buy_rust, buy_dota2, Buy request with projectId: <project_id> already exists

Response
{
  "success": true,
  "id": 1,
  "price": 720,
  "msg": "buy_csgo"
}